## Skill upgrades (and one nerf):
I've included config to disable all of the vanilla changes - mostly in case you don't like certain edits, but also for compatibility with other Commando mods (mostly Phase Round Lightning for those who like that mod more)
- Double Tap has been improved - +10% damage, slightly faster firing speed, and greatly reduced spread bloom.
- Phase Round has been doubled in size, in adddition to dealing 400% so base Commando can actually proc bands smh
- Phase Blast's overall damage has been nerfed from 1600% to 1400% (the rest of his kit got stronger to compensate).
- Tactical Dive has been adjusted to be a more combat-oriented skill - while it's slightly shorter than in vanilla, it also travels faster and has a second charge added, in addition to briefly stunning adjacent enemies and giving Commando about 50% damage reduction (can be adjusted with config).
- Tactical Slide's dash hasn't been touched, but the aerial jump has been given +20% more velocity.
- Suppressive Fire now deals 65% per bullet and has much more spread - however, the bullet count has been doubled, giving better overall damage up close and allowing Commando to spread stun more easily.
- Frag Grenade now has access to a unique debuff based on, well, being named FRAG Grenade.

## New features:
### Heavy Tap (Primary)
Commando's upgraded his guns to fire much more accurately, allowing him to bypass the falloff issues his Double Tap had while also dealing high damage. However, he can't fire continuously - he'll need to keep an eye on the three charges this skill comes with.
- There's an alternate version of this skill available in configs if you don't like the cooldown mechanic; it instead has a forced delay between shots, acting similar to the first game's Double Tap.

### Plasma Tap (Primary)
Inspired heavily by Metroid Prime and Environmental Station Alpha, Plasma Tap has very low range compared to his other ammo choices. However, it more than makes up for it in damage - in addition to the bullets themselves being comparable to Double Tap in DPS, they can also fire lightning at the target and nearby enemies for even more damage.

### Micro Missiles (Secondary)
Using his right pistol, Commando fires between 3-6 missiles depending on how long the skill is charged. They deal little damage on their own, but their numbers and ability to stun make them quite potent crowd control.

### Collector (Passive - must be enabled in config)
With this skill active, Commando gains small stat boosts on levelup in addition to extra HP/damage. (thanks to Krysto for suggesting this one)

### Second Wind (Passive - must be enabled in config)
With this skill active, Commando gains additional move and attack speed when low on HP.

### Shattered (Debuff)
A new debuff currently exclusive to Frag Grenade (debating whether to attach it to anything else in his kit); it lowers armor by -20 for 2.5 seconds.

## Other notes
- If you want to give feedback, I've got a server for RoR2 projects here: https://discord.gg/xjAWykGByy
(if that link doesn't work for some reason, you can also contact me at FMRadio11#8912 on discord)
- Don't worry about letting me know about bugs/balancing issues, I'm fully expecting them at this point

## 1.0 Changelog

### Changes:
- Double Tap spread 0.08 -> 0.12
- Heavy Tap damage 165% -> 170%
- Heavy Tap cooldown 1.15s -> 1.2s, shot delay 0s -> 0.1s
- Micro Missile duration 3.5s -> 3s, now enters cooldown after firing begins
- Micro Missile can now be charged, releasing up to 6 missiles at full (up from firing 3 immediately)
- Micro Missiles now use their original prefab instead of Paladin's Rocket, hitbox hasn't been adjusted though
- Micro Missile damage 270% -> 180%, no longer has falloff
- Micro Missile radius 6.5m -> 6.25m, velocity 120 -> 180
- Tactical Dive duration 0.9s -> 0.55s, animation made slightly longer than duration to improve visuals
- Tactical Dive initial speed increased to compensate; final result is slightly shorter than vanilla Dive
- Using Tactical Dive next to an enemy (about 3.5m away) will stun them briefly
- Tactical Dive now has 2 charges
- Tactical Slide now has +20% more vertical velocity when used in the air
- Suppressive Fire cooldown 6.5s -> 7s
- Second Wind passive + unlock added
- Blank passive removed, not much point when you can disable passives

### Bug fixes:
- Vanilla Heavy Tap (enabled in config) now has 0.4s shot delay instead of changing duration within the class itself; this should hopefully prevent issues with interrupting this with a different skill
- Tactical Dive's armor boost was incorrectly labeled as a debuff
- Optimized asset loading; achievement icons should now work
- A lot of bloat was removed (shouldn't have any effect on gameplay)
- R2API logs now have the correct title

### Config:
- Moved to MandoGaming.cfg; you may need to delete the old FMCommando config
- Toggle for whether Tactical Dive gives armor or i-frames (armor by default)
- Toggle for whether Tactical Slide uses the same buff choice as Dive (disabled by default)
- Toggle for whether Frag Grenades stick to enemies (disabled by default)
- Fixed several typos (seriously, I must've been asleep at the keyboard lol)

### 1.0.1:
- HealthComponent.TakeDamage was being called even if passives were turned off, should be fixed now

### 1.0.2
- Added in ResourceAPI
- Considering taking bets for what small error will cause this mod to crash and burn next time
- Thank you to everyone who's been pointing out these mistakes, I'm asleep at the wheel ig

### 1.0.3
- Micro Missile duration 0.2 -> 0.16, no longer speeds up with additional missiles (this was causing unintended firing patterns; may need to adjust further if this got too nerfed)
- Micro Missile's skill classes now have Pain priority instead of PrioritySkill, may cause unintended behavior but should fix the skill interrupting itself

### 1.0.4
- Plasma Tap's tracer may be slightly different, currently experimenting with improving the visuals
- Added in a missing base.isAuthority check to reworked Tactical Slide, should hopefully fix animations in multiplayer
- EDIT: The prefab fix from this update didn't work, see 1.1.0 notes

### 1.0.5
- Prefabs reverted to old method; passives now have no effect if the survivor's base name token is not "COMMANDO_BODY_NAME" (should fix mods like Sniper Classic benefitting from it)
- Tracer prefab and lightning effect for Plasma Tap updated, should hopefully look more electric now (also gives compatibility with BalanceOverhaulRBO post-Tesla nerf but that's not as important)
- Second Wind will now work if brought from above 50% to below 25% in one hit, previously would not activate until they heal back to above 25% due to leftovers from an older version of the passive
- Second Wind now has a visual effect when active
- The unlocks for both Heavy Tap and Plasma Tap weren't given if you exited the stage via a portal; both of them have been changed to when the teleporter is fully charged
- Added logs for when certain modules are complete to make debugging a bit easier

### 1.0.6
- Didn't actually change Plasma Tap unlock last time, my b
- Unneeded logs regarding Plasma Tap removed

### 1.0.7
- Now has a soft dependency on Sniper Classic to avoid it inheriting the modified prefab
- If other mods are inheriting the passives, let me know and I'll fix it

### 1.0.8
- Heavy Tap tracer made slightly longer (I think???)
- Alt version of Heavy Tap renamed to "Heavy Tap (legacy)"
- Heavy Tap (legacy) damage 2x170% -> 2x130%, speed increased to compensate (it's weaker than Double Tap, but not by much)
- Fixed old duration system for both versions of Heavy Tap since using shootDelay wasn't working; Heavy Tap should now resemble RoR1 Double Tap
- Suppressive Fire damage 12x65% -> 10x80%
- Suppressive Fire duration per bullet 0.06s -> 0.075s (total duration 0.72s -> 0.75s), should make it easier to spread damage around
- Suppressive Fire cooldown 7s -> 7.5s, but begins cooldown immediately instead of after the skill executes
- Military Training renamed to Collector to avoid overlap with Sniper, still has the same benefits
- Text changes

### 1.0.9
- Heavy Tap's tracer wasn't finished in 1.0.8, should be coded correctly now
- Micro Missiles should now fly slower initially but speed up over time
- Micro Missiles will now home in on nearby enemies similar to Visions of Heresy, may need reworking later
- Micro Missiles now actually have the Stunning keyword
- Frag Grenade now applies Shatter only if it deals more than 200% damage (it's done this way to keep compatibility with StandaloneAncientScepter for now)
- All new gameplay changes have config to disable them for now, may be removed in future updates

### 1.0.10
- Forgot to add Pain interrupt priority to Micro Missile's loading half, should no longer consume multiple charges on use


## Beta Changelog

### 0.9.0
- First release

### 0.9.1
- Updated readme in a couple places

### 0.9.2
- Fixing a couple typos within the mod
- Tactical Dive's armor increase can be adjusted with config (making this an exception since I'm unsure on what to do here, for the most part I'm keeping numbers out of config)
- Double Tap buffed to 100%, attack speed moved closer to vanilla to compensate but it's still a small DPS increase
- Discord link should actually work this time???

### 0.9.3
- More typos fixed
- Suppressive Fire has significantly more spread
- Heavy Tap unlock should now only work with Commando
- Heavy Tap now fires continuously instead of requiring inputs for each shot
- Plasma Tap lightning range reduced (15m -> 11m)
- Possibly??? fixed Plasma Tap not working correctly in multiplayer, haven't been able to test it yet
- Replaced old Micro Missile unlock with a more accessible one
(Micro Missile itself might be improved in later updates, just want to get the fixes here out a bit faster for now)
- Passive order switched to account for the game defaulting to the first slot
- Military Training now applies +0.5 armor per level (down from +1)

### 0.9.4
- I'm dumb and used OnBodyRequirementBroken instead of the much easier (and actually functional) base.meetsBodyRequirement
- Heavy Tap unlock should work properly now

### 0.9.5
- Micro Missiles interrupt prioritiy updated from Skill -> PrioritySkill, should now be castable during M1
- Plasma Tap SFX altered slightly, hopefully less annoying now
- Version number is now correct in the mod itself

### 0.9.6
- Micro Missiles should actually have their priority as PrioritySkill now
- Added toggle for giving Slide the armor buff from Dive, although note that it's not balanced around that change
- I stg if I have to do ANOTHER update because I fixed the wrong thing and uploaded it without playtesting it first >_>

### 0.9.7
- Yep I sure did